Bug 73675 - FORMATTING: allow to resize "Manage Conditional Formatting" window
Summary: FORMATTING: allow to resize "Manage Conditional Formatting" window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.3.1 rc
Hardware: All All
: low enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-15 21:15 UTC by Kevin Hunter
Modified: 2014-06-06 12:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Hunter 2014-01-15 21:15:46 UTC
Problem description: 

Currently, it is apparently not possible to resize the pop-up window titled "Manage Conditional Formatting".

Steps to reproduce:
1. Format -> Conditional Formatting -> Manage
2. Try to resize pop-up window through usual mouse-to-window-border method

Current behavior:

Mouse icon does not change to indicate ability to resize window, and attempts to click and drag anyway are futile.

Expected behavior:

Mouse icon should change to indicate ability to resize window, and user should be able to resize window as desired.

Operating System: Ubuntu
Version: 4.1.3.2 release
Comment 1 Kevin Hunter 2014-01-15 21:18:09 UTC
I suppose this is not a high-profile bug, perhaps only an enhancement, but man is it annoying to deal with on a small screen.
Comment 2 sophie 2014-01-16 17:25:48 UTC
Confirmed, I get the same problem :) - Set to new - Sophie
Comment 3 Kevin Suo 2014-03-28 13:07:24 UTC
(In reply to comment #1)
> I suppose this is not a high-profile bug, perhaps only an enhancement, but
> man is it annoying to deal with on a small screen.

This one is not a high-profile, but for this one below it's high-profile enough:

Bug 76735 - UI: Can not resize window in Pivot Table -> More
Comment 4 A (Andy) 2014-03-28 18:30:32 UTC
reproducible with LO 4.2.2.1 also on Windows 8.1
Comment 5 Caolán McNamara 2014-06-06 11:27:49 UTC
eszkadev has converted this dialog to .ui format, which is inherently resizeable
Comment 6 Commit Notification 2014-06-06 12:38:07 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5918209d281927b714850157b2d1415fa8765c6f

Resolves: fdo#73675 tweak conversion to use SvSimpleTable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.